<template>
  <button class="button-game"
          :class="[ color.name, {active: color.isHighlighted} ]"
          :style="{backgroundColor: color.isHighlighted ? color.name : ''}"
          v-on:click="$emit('choose')">
  </button>
</template>

<script>
import {playSound} from "@/helper/common";

export default {
  props: {
    color: Object
  },
  template: ``,
  updated: function () {
    if(this.color.isHighlighted){
      playSound(this.color.sound);
    }
  }
}
</script>